Zoals aangekondigd heeft ontwikkelaar TheFlow een nieuwe hack voor PlayStation Vita uitgebracht. De hack maakt gebruik van een kwetsbaarheid in de PSP Emulator van de console. Dit betekend ook dat gebruikers een PlayStation Portable game moeten hebben geïnstalleerd en dat wanneer er een nieuwe firmware update door Sony wordt uitgebracht deze methode niet meer kan worden uitgevoerd.

Heb je een Phat PlayStation Vita model? Dan heb je een officiële Vita geheugenkaart nodig omdat er geen intern geheugen beschikbaar is. Heb je het exploit succesvol uitgevoerd? Dan raden wij aan om zo snel mogelijk Modoru te downloaden en installeren zodat je vervolgens eenvoudig kan downgraden naar een firmware die HENkaku Enso ondersteunt (3.60 – 3.65). Dat is een on boot Custom Firmware. 

De ontwikkelaar gaf eerder ook aan dat het exploit voor firmware 3.70 zijn laatste zal zijn voor de handheld / console. Heb je dus firmware 3.69 of 3.70 geïnstalleerd en wil je eventueel later gebruik maken van hacks dan is het belangrijk om nu alvast aan de slag te gaan met Trinity. Mogelijk wordt Trinity volledig onbruikbaar met een nieuwe firmware update van Sony (en kan je geen PlayStation Portable games meer downloaden uit de Store omdat de toegang wordt geblokkeerd voor consoles met een lagere firmware).